Bug 835957 - malformed archive error during webkitgtk3 build
malformed archive error during webkitgtk3 build
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
s390x Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 12:28 EDT by Dan Horák
Modified: 2012-11-25 13:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-25 13:42:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2012-06-27 12:28:17 EDT
The build of webkitgtk3 fails with "malformed archive" error, see below

g++ -DHAVE_CONFIG_H -I.  -include ./Source/WebKit2/WebKit2Prefix.h -I./Source/WebKit2 -I./Source/WebKit2/Platform -I./Source/WebKit2/Platform/CoreIPC/ -I./Source/WebKit2/PluginProcess/ -I./Source/WebKit2/PluginProcess/gtk -I./Source/WebKit2/Shared -I./Source/WebKit2/Shared/Plugins -I./Source/WebKit2/Shared/Plugins/Netscape/ -I./Source/WebKit2/UIProcess/Plugins/ -I./Source/WebKit2/UIProcess/Launcher -I./Source/WebKit2/WebProcess/Plugins/ -I./Source/WebKit2/WebProcess/Plugins/Netscape/ -I./DerivedSources/WebKit2 -I./DerivedSources/WebKit2/include -I./DerivedSources/WebKit2/include/JavaScriptCore -I./DerivedSources/WebKit2/include/WebCore -I./DerivedSources/WebKit2/include/WebKit2 -DBUILDING_WEBKIT -DGTK_API_VERSION_2=1 -DENABLE_PLUGIN_PROCESS=1 -DLIBEXECDIR=\""/usr/libexec"\" -Wall -W -Wcast-align -Wchar-subscripts -Wreturn-type -Wformat -Wformat-security -Wno-format-y2k -Wundef -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings -Wno-unused-parameter -Wno-parentheses -fno-exceptions -DENABLE_GLIB_SUPPORT=1 -DBUILDING_CAIRO__=1 -DBUILDING_GTK__=1 -DBUILDING_SOUP__=1 -DWTF_CHANGES -DBUILDING_WEBKIT2__=1 -DXP_UNIX -DMOZ_X11  -DWTF_USE_ICU_UNICODE=1   -DWTF_USE_GSTREAMER=1     -DWTF_USE_GLX=1 -DWTF_USE_OPENGL=1  -DNDEBUG   -I./Source/ThirdParty/ANGLE/src -I./Source/ThirdParty/ANGLE/include -I./Source/ThirdParty/ANGLE/include/GLSLANG -I./Source/WebCore -I./Source/WebCore/Modules/filesystem -I./Source/WebCore/Modules/geolocation -I./Source/WebCore/Modules/indexeddb -I./Source/WebCore/Modules/mediastream -I./Source/WebCore/Modules/webaudio -I./Source/WebCore/Modules/webdatabase -I./Source/WebCore/Modules/websockets -I./Source/WebCore/accessibility -I./Source/WebCore/bindings -I./Source/WebCore/bindings/generic -I./Source/WebCore/bindings/js -I./Source/WebCore/bindings/js/specialization -I./Source/WebCore/bridge -I./Source/WebCore/bridge/c -I./Source/WebCore/bridge/jni/jsc -I./Source/WebCore/bridge/jsc -I./Source/WebCore/css -I./Source/WebCore/dom -I./Source/WebCore/dom/default -I./Source/WebCore/editing -I./Source/WebCore/fileapi -I./Source/WebCore/history -I./Source/WebCore/html -I./Source/WebCore/html/canvas -I./Source/WebCore/html/parser -I./Source/WebCore/html/shadow -I./Source/WebCore/html/track -I./Source/WebCore/inspector -I./Source/WebCore/loader -I./Source/WebCore/loader/appcache -I./Source/WebCore/loader/archive -I./Source/WebCore/loader/cache -I./Source/WebCore/loader/icon -I./Source/WebCore/mathml -I./Source/WebCore/notifications -I./Source/WebCore/page -I./Source/WebCore/page/animation -I./Source/WebCore/page/scrolling -I./Source/WebCore/platform -I./Source/WebCore/platform/animation -I./Source/WebCore/platform/audio -I./Source/WebCore/platform/graphics -I./Source/WebCore/platform/graphics/filters -I./Source/WebCore/platform/graphics/filters/arm -I./Source/WebCore/platform/graphics/gpu -I./Source/WebCore/platform/graphics/opengl -I./Source/WebCore/platform/graphics/opentype -I./Source/WebCore/platform/graphics/transforms -I./Source/WebCore/platform/image-decoders -I./Source/WebCore/platform/image-decoders/bmp -I./Source/WebCore/platform/image-decoders/gif -I./Source/WebCore/platform/image-decoders/ico -I./Source/WebCore/platform/image-decoders/jpeg -I./Source/WebCore/platform/image-decoders/webp -I./Source/WebCore/platform/image-decoders/png -I./Source/WebCore/platform/leveldb -I./Source/WebCore/platform/mediastream -I./Source/WebCore/platform/mediastream/gstreamer -I./Source/WebCore/platform/mock -I./Source/WebCore/platform/network -I./Source/WebCore/platform/sql -I./Source/WebCore/platform/text -I./Source/WebCore/platform/text/transcoder -I./Source/WebCore/platform/win -I./Source/WebCore/plugins -I./Source/WebCore/plugins/win -I./Source/WebCore/rendering -I./Source/WebCore/rendering/mathml -I./Source/WebCore/rendering/style -I./Source/WebCore/rendering/svg -I./Source/WebCore/storage -I./Source/WebCore/svg -I./Source/WebCore/svg/animation -I./Source/WebCore/svg/graphics -I./Source/WebCore/svg/graphics/filters -I./Source/WebCore/svg/properties -I./Source/WebCore/testing -I./Source/WebCore/testing/js -I./Source/WebCore/websockets -I./Source/WebCore/workers -I./Source/WebCore/xml -I./Source/WebCore/xml/parser -I./WebCore/bindings/js -I./DerivedSources/WebCore -I./DerivedSources -I./DerivedSources/JavaScriptCore -DDATA_DIR=\"/usr/share\" -DENABLE_SMOOTH_SCROLLING=1 -DENABLE_CHANNEL_MESSAGING=1   -DENABLE_METER_TAG=1 -DENABLE_PROGRESS_TAG=1 -DENABLE_JAVASCRIPT_DEBUGGER=1   -DENABLE_GAMEPAD=0 -DENABLE_SQL_DATABASE=1  -DENABLE_DATALIST=1      -DENABLE_DIRECTORY_UPLOAD=0     -DENABLE_TOUCH_ICON_LOADING=0  -DENABLE_INPUT_TYPE_COLOR=0  -DENABLE_INPUT_SPEECH=0  -DENABLE_SCRIPTED_SPEECH=0 -DENABLE_ICONDATABASE=1   -DENABLE_VIDEO=1   -DENABLE_MEDIA_SOURCE=0  -DENABLE_MEDIA_STATISTICS=0 -DENABLE_FULLSCREEN_API=1  -DENABLE_VIDEO_TRACK=0  -DENABLE_MEDIA_STREAM=0 -DENABLE_XSLT=1 -DENABLE_WORKERS=1 -DENABLE_SHADOW_DOM=1 -DENABLE_SHARED_WORKERS=1 -DENABLE_FILTERS=1 -DENABLE_CSS_REGIONS=1 -DENABLE_CSS_EXCLUSIONS=1 -DENABLE_GEOLOCATION=1 -DENABLE_MATHML=1  -DENABLE_SVG=1 -DENABLE_SVG_FONTS=1   -DENABLE_WEB_SOCKETS=1  -DENABLE_BLOB=1 -DENABLE_LEGACY_WEBKIT_BLOB_BUILDER=1  -DENABLE_REQUEST_ANIMATION_FRAME=1 -DENABLE_WEBGL=1          -DENABLE_IFRAME_SEAMLESS=1  -DWEBKITGTK_API_VERSION_STRING=\"3.0\" -DWTF_USE_SOUP=1 -I./Source/WebCore/accessibility/gtk -I./Source/WebCore/loader/gtk -I./Source/WebCore/page/gtk -I./Source/WebCore/platform/cairo -I./Source/WebCore/platform/audio/gstreamer -I./Source/WebCore/platform/geoclue -I./Source/WebCore/platform/graphics/cairo -I./Source/WebCore/platform/graphics/glx -I./Source/WebCore/platform/graphics/gstreamer -I./Source/WebCore/platform/graphics/gtk -I./Source/WebCore/platform/gtk -I./Source/WebCore/platform/network/soup -DWTF_USE_FREETYPE=1 -I./Source/WebCore/platform/graphics/freetype  -DENABLE_JIT=0 -I./Source -I./Source/JavaScriptCore -I./Source/JavaScriptCore/API -I./Source/JavaScriptCore/assembler -I./Source/JavaScriptCore/bytecode -I./Source/JavaScriptCore/bytecompiler -I./Source/JavaScriptCore/dfg -I./Source/JavaScriptCore/heap -I./Source/JavaScriptCore/debugger -I./Source/JavaScriptCore/ForwardingHeaders -I./Source/JavaScriptCore/interpreter -I./Source/JavaScriptCore/jit -I./Source/JavaScriptCore/jit -I./Source/JavaScriptCore/llint -I./Source/JavaScriptCore/parser -I./Source/JavaScriptCore/profiler -I./Source/JavaScriptCore/runtime -I./Source/JavaScriptCore/tools -I./Source/JavaScriptCore/yarr -I./DerivedSources/JavaScriptCore -I./Source/WTF -fno-strict-aliasing -I/usr/include/cairo -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm   -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/libxml2   -pthread -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng15 -I/usr/include/libdrm -I/usr/include/gail-1.0   -pthread -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include   -D_REENTRANT    -I/usr/include   -fvisibility-inlines-hidden -fno-rtti -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -march=z9-109 -mtune=z10 -Wno-c++0x-compat -O2 -c -o DerivedSources/WebKit2/Programs_WebKitPluginProcess-WebProcessConnectionMessageReceiver.o `test -f 'DerivedSources/WebKit2/WebProcessConnectionMessageReceiver.cpp' || echo './'`DerivedSources/WebKit2/WebProcessConnectionMessageReceiver.cpp
/bin/sh ./libtool  --tag=CXX   --mode=link g++ -fvisibility-inlines-hidden -fno-rtti -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -march=z9-109 -mtune=z10 -Wno-c++0x-compat -O2 -Wl,--unresolved-symbols=ignore-in-object-files -Wl,-z,relro  -o Programs/WebKitPluginProcess Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentCoders.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentDecoder.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentEncoder.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-Attachment.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-BinarySemaphore.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-Connection.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-DataReference.o Source/WebKit2/Platform/CoreIPC/unix/Programs_WebKitPluginProcess-AttachmentUnix.o Source/WebKit2/Platform/CoreIPC/unix/Programs_WebKitPluginProcess-ConnectionUnix.o Source/WebKit2/Platform/Programs_WebKitPluginProcess-Module.o Source/WebKit2/Platform/Programs_WebKitPluginProcess-WorkQueue.o Source/WebKit2/Platform/gtk/Programs_WebKitPluginProcess-ModuleGtk.o Source/WebKit2/Platform/gtk/Programs_WebKitPluginProcess-WorkQueueGtk.o Source/WebKit2/Platform/unix/Programs_WebKitPluginProcess-SharedMemoryUnix.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginControllerProxy.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginCreationParameters.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginProcess.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-WebProcessConnection.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-PluginProcessCreationParameters.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginControllerProxyGtk.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginProcessGtk.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginProcessMainGtk.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-ChildProcess.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPIdentifierData.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPObjectMessageReceiver.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPObjectProxy.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPRemoteObjectMap.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPVariantData.o Source/WebKit2/Shared/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePluginModule.o Source/WebKit2/Shared/Plugins/Netscape/x11/Programs_WebKitPluginProcess-NetscapePluginModuleX11.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-ShareableBitmap.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebCoreArgumentCoders.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebKeyboardEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebMouseEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebWheelEvent.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-WebCoreArgumentCodersGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebKeyboardEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebWheelEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebMouseEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-ProcessExecutablePathGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-WebEventFactory.o Source/WebKit2/Shared/cairo/Programs_WebKitPluginProcess-ShareableBitmapCairo.o Source/WebKit2/UIProcess/Plugins/gtk/Programs_WebKitPluginProcess-PluginProcessProxyGtk.o Source/WebKit2/WebProcess/Plugins/Programs_WebKitPluginProcess-Plugin.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NPRuntimeUtilities.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapeBrowserFuncs.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePlugin.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePluginStream.o Source/WebKit2/WebProcess/Plugins/Netscape/x11/Programs_WebKitPluginProcess-NetscapePluginX11.o Source/WebKit2/gtk/Programs_WebKitPluginProcess-PluginMainGtk.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-NPObjectMessageReceiverMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-PluginControllerProxyMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-PluginProcessMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-WebProcessConnectionMessageReceiver.o -lpthread libjavascriptcoregtk-3.0.la libWebCore.la libWebCoreGtk2.la -lcairo    -L/lib64 -lgeoclue -ldbus-glib-1 -lxml2 -ldbus-1 -lgobject-2.0 -lglib-2.0   -Wl,--export-dynamic -pthread -lgmodule-2.0 -lgthread-2.0 -lrt -lgio-2.0 -lgobject-2.0 -lglib-2.0   -pthread -lgstapp-0.10 -lgstaudio-0.10 -lgstfft-0.10 -lm -lgstpbutils-0.10 -lgstvideo-0.10 -lgstbase-0.10 -lgstinterfaces-0.10 -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lxml2 -lglib-2.0   -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0   -ljpeg -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lglib-2.0   -lxml2   -lxslt -lz -lm -lxml2    -lGL -ldl -lpangoft2-1.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0   -lpng15    -lsqlite3   -licui18n -licuuc -licudata  -lXrender -lX11   -lXt -lX11    -lz   
libtool: link: g++ -fvisibility-inlines-hidden -fno-rtti -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -march=z9-109 -mtune=z10 -Wno-c++0x-compat -O2 -Wl,--unresolved-symbols=ignore-in-object-files -Wl,-z -Wl,relro -o Programs/.libs/WebKitPluginProcess Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentCoders.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentDecoder.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-ArgumentEncoder.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-Attachment.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-BinarySemaphore.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-Connection.o Source/WebKit2/Platform/CoreIPC/Programs_WebKitPluginProcess-DataReference.o Source/WebKit2/Platform/CoreIPC/unix/Programs_WebKitPluginProcess-AttachmentUnix.o Source/WebKit2/Platform/CoreIPC/unix/Programs_WebKitPluginProcess-ConnectionUnix.o Source/WebKit2/Platform/Programs_WebKitPluginProcess-Module.o Source/WebKit2/Platform/Programs_WebKitPluginProcess-WorkQueue.o Source/WebKit2/Platform/gtk/Programs_WebKitPluginProcess-ModuleGtk.o Source/WebKit2/Platform/gtk/Programs_WebKitPluginProcess-WorkQueueGtk.o Source/WebKit2/Platform/unix/Programs_WebKitPluginProcess-SharedMemoryUnix.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginControllerProxy.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginCreationParameters.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-PluginProcess.o Source/WebKit2/PluginProcess/Programs_WebKitPluginProcess-WebProcessConnection.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-PluginProcessCreationParameters.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginControllerProxyGtk.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginProcessGtk.o Source/WebKit2/PluginProcess/gtk/Programs_WebKitPluginProcess-PluginProcessMainGtk.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-ChildProcess.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPIdentifierData.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPObjectMessageReceiver.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPObjectProxy.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPRemoteObjectMap.o Source/WebKit2/Shared/Plugins/Programs_WebKitPluginProcess-NPVariantData.o Source/WebKit2/Shared/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePluginModule.o Source/WebKit2/Shared/Plugins/Netscape/x11/Programs_WebKitPluginProcess-NetscapePluginModuleX11.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-ShareableBitmap.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebCoreArgumentCoders.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebKeyboardEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebMouseEvent.o Source/WebKit2/Shared/Programs_WebKitPluginProcess-WebWheelEvent.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-WebCoreArgumentCodersGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebKeyboardEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebWheelEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-NativeWebMouseEventGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-ProcessExecutablePathGtk.o Source/WebKit2/Shared/gtk/Programs_WebKitPluginProcess-WebEventFactory.o Source/WebKit2/Shared/cairo/Programs_WebKitPluginProcess-ShareableBitmapCairo.o Source/WebKit2/UIProcess/Plugins/gtk/Programs_WebKitPluginProcess-PluginProcessProxyGtk.o Source/WebKit2/WebProcess/Plugins/Programs_WebKitPluginProcess-Plugin.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NPRuntimeUtilities.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapeBrowserFuncs.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePlugin.o Source/WebKit2/WebProcess/Plugins/Netscape/Programs_WebKitPluginProcess-NetscapePluginStream.o Source/WebKit2/WebProcess/Plugins/Netscape/x11/Programs_WebKitPluginProcess-NetscapePluginX11.o Source/WebKit2/gtk/Programs_WebKitPluginProcess-PluginMainGtk.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-NPObjectMessageReceiverMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-PluginControllerProxyMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-PluginProcessMessageReceiver.o DerivedSources/WebKit2/Programs_WebKitPluginProcess-WebProcessConnectionMessageReceiver.o -Wl,--export-dynamic -pthread -pthread  -lpthread ./.libs/libjavascriptcoregtk-3.0.so ./.libs/libWebCore.a ./.libs/libWebCoreGtk2.a -L/lib64 -lgeoclue -ldbus-glib-1 -ldbus-1 -lgstapp-0.10 -lgstaudio-0.10 -lgstfft-0.10 -lgstpbutils-0.10 -lgstvideo-0.10 -lgstbase-0.10 -lgstinterfaces-0.10 -lgstreamer-0.10 -lgmodule-2.0 -lgthread-2.0 -lrt -lgailutil -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -ljpeg -lsoup-2.4 -lgio-2.0 -lxslt -lm -lxml2 -lGL -ldl -lpangoft2-1.0 -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lglib-2.0 -lpng15 -lsqlite3 -licui18n -licuuc -licudata -lXrender -lXt -lX11 -lz -pthread -Wl,-rpath -Wl,/usr/lib64
./.libs/libWebCore.a: could not read symbols: Malformed archive
collect2: error: ld returned 1 exit status
make[1]: *** [Programs/WebKitPluginProcess] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/webkit-1.9.3'
make: *** [all] Error 2

one note - the libWebCore.a archive is > 4GB

Version-Release number of selected component (if applicable):
binutils.s390x 0:2.22.52.0.4-2.fc18

The task in koji is http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=709658
and the whole buildroot is preserved for future investigation.
Comment 1 Nick Clifton 2012-06-28 10:28:40 EDT
> one note - the libWebCore.a archive is > 4GB

Have you tried splitting libWebCore.a up into several smaller (sub 4Gb) libraries ?
Comment 2 Nick Clifton 2012-06-28 11:57:22 EDT
Hi Dan,

This might also be connected to this FSF binutils bug report:

http://sourceware.org/bugzilla/show_bug.cgi?id=14302

Are you able to try out the patch included in that bug report or do you need me to produce an experimental binutils rpm for you ?

Cheers
  Nick
Comment 3 Dan Horák 2012-06-28 12:32:54 EDT
(In reply to comment #1)
> > one note - the libWebCore.a archive is > 4GB
> 
> Have you tried splitting libWebCore.a up into several smaller (sub 4Gb)
> libraries ?

Is there an easy way to do the split? I'd prefer not to touch webkit's buildsystem.
Comment 4 Dan Horák 2012-06-28 12:35:32 EDT
(In reply to comment #2)
> Hi Dan,
> 
> This might also be connected to this FSF binutils bug report:
> 
> http://sourceware.org/bugzilla/show_bug.cgi?id=14302
> 
> Are you able to try out the patch included in that bug report or do you need
> me to produce an experimental binutils rpm for you ?

I should be able to prepare patched binutils rpm, but if you have some spare time it could speed up further testing.
Comment 5 Dan Horák 2012-06-28 12:47:13 EDT
The buildroot is on Red Hat internal system, so you can yourself take a look easily.
Comment 6 Nick Clifton 2012-06-29 08:58:23 EDT
Hi Dan,

> The buildroot is on Red Hat internal system, so you can yourself take a look 
> easily.

Err, do you know how I can access the built libWebCore.a archive ?  I tried following the link you posted to the koji task, but I could not work out where to go from there.

Anyway, I have created a binutils-2.22.52.0.4-3.fc18 release for rawhide which includes the patch from PR 14302.   Can you give this release a go and let me know if it solves the problem ?

Cheers
  Nick
Comment 7 Nick Clifton 2012-07-03 07:27:13 EDT
Hi Dan,

  I am still investigating this problem, but I have some bad news.  The libWebCore,a archive is definitely broken.  The linker is correct in stating that it is malformed.  Currently, archives bigger than 4Gb are just not supported.  This is a limitation of the archive file format, not the linker.

  The real error here is that the library should never have been created in the first place.  I am looking in to how to fix the archiver (ar) so that it will complain when creating a library that is too big.  But in the meantime I think that you are going to have to delve into webkit's build system and find a way to split the libWebCore.a library up into smaller components.  Sorry.

Cheers
  Nick
Comment 8 Dan Horák 2012-07-03 10:20:23 EDT
Hi Nick,

first thanks for investigation and the news is not so bad. We know what the problem is and can react on that. I will send a mail to the fedora devel list so other people are also aware of this issue which can happen in large C++ projects (and can easily happen with webkit on other arches).

Dan
Comment 9 Zdenek Kabelac 2012-07-03 10:43:02 EDT
Naive question here - but how  anything could link into 4GB size - static linking just combines other static object together and should make it rather smaller (since it might skip unused bits)

So is there 4GB of  .o files created during compilation ?

My kernel compilation fits in 18MB - so I cannot imagine how do you make 4GB object ??

Is there something special about s390 linkage ?
Comment 10 Jakub Jelinek 2012-07-03 10:50:14 EDT
Isn't the ar format limitation 9.3GiB file size inside of the ar archive (above that it won't fit into 10 decimal digits reserved in the file header)?
The webkit library is just an insane kitchen sink, for dwz DWARF compressor it is also a challenge to reduce the ~ 1.2GB of debug info, more than twice the maximum amount seen everywhere else.
Comment 11 Dan Horák 2012-07-03 10:51:26 EDT
(In reply to comment #9)
> Naive question here - but how  anything could link into 4GB size - static
> linking just combines other static object together and should make it rather
> smaller (since it might skip unused bits)
> 
> So is there 4GB of  .o files created during compilation ?

no, what's broken is already the .a which is (simplified) a sum of .o files

> My kernel compilation fits in 18MB - so I cannot imagine how do you make 4GB
> object ??
> 
> Is there something special about s390 linkage ?

the majority of the data are the debug information that are included in every .o file
Comment 12 Dan Horák 2012-07-03 10:53:42 EDT
(In reply to comment #11)
> (In reply to comment #9)
> > Naive question here - but how  anything could link into 4GB size - static
> > linking just combines other static object together and should make it rather
> > smaller (since it might skip unused bits)
> > 
> > So is there 4GB of  .o files created during compilation ?
> 
> no, what's broken is already the .a which is (simplified) a sum of .o files

ah, I got it wrong, yes, there is over 4GB of .o files created
Comment 13 Nick Clifton 2012-07-03 11:17:15 EDT
Hi Jakub,

(In reply to comment #10)
> Isn't the ar format limitation 9.3GiB file size inside of the ar archive
> (above that it won't fit into 10 decimal digits reserved in the file header)?

There is also a 32-bit limit on the size of file offsets in symbol table at the start of the archive (if it has one).  This was the problem - the linker uses these file offsets to locate individual archive members and since these had been truncated when the archive symbol table was created, the linker failed to find the archive members that it wanted.

FYI - there is a 64bit archive file format, which is currently only used by the MIPS and IA64 targets.  I suppose that it might be worth investigating to see if it could be made available to the S390X target as well...

Cheers
  Nick
Comment 14 Dan Horák 2012-07-03 11:34:02 EDT
would be interesting to see how close to the limit ppc64 and x86_64 are ...
Comment 15 Jakub Jelinek 2012-07-03 11:46:51 EDT
Can't we just use the 64-bit (is that the Irix format?) symbol table format for archives larger than 4GB and the current default for smaller ones, and be able to parse the 64-bit symbol tables always (or, at least when BFD64 is supported).
Comment 16 Nick Clifton 2012-07-03 11:54:58 EDT
Hi Jakub,

> Can't we just use the 64-bit (is that the Irix format?) symbol table format
Comment 17 Nick Clifton 2012-07-03 11:55:51 EDT
Hi Jakub,

[arg - stupid bugzilla dialog boxes...]

> Can't we just use the 64-bit (is that the Irix format?) symbol table format

I am just about to start investigating that.

Cheers
  Nick
Comment 18 Nick Clifton 2012-07-05 12:04:33 EDT
Hi Dan.

 binutils-2.22.52.0.4-5.fc18 has an extended version of the previous patch which will make the archive program (ar) complain if there is an attempt to build a library (with a symbol index) that is larger than 4Gb.

  I am still looking at the possibility of supporting 64-bit libraries, but so far I have not made any progress.

Cheers
  Nick
Comment 19 Nick Clifton 2012-07-17 11:28:09 EDT
Hi Dan,

  binutils-2.22.52.0.4-6.fc18 has support for s390 libraries with 64-bit archive indicies.  It should, in theory, solve your build problems.  Please could you give it a go and let me know if it works.

Cheers
  Nick
Comment 20 Dan Horák 2012-07-20 09:21:03 EDT
Hi Nick,

seems your update works well, my test case was webkitgtk-1.8.1-3.fc18 and first it failed with "ar: .libs/libWebCore.a: File truncated" (binutils.s390x 0:2.22.52.0.4-5.fc18) and now it builds fine.

Thanks, Dan

Note You need to log in before you can comment on or make changes to this bug.